if [ "$1" = "" ]; then
    read
fi
if [ "$2" = "" ]; then
    read
fi
if [ ! -f "$1" ]; then
    read
fi
echo "Running validator"
wine files/towin.exe "$1" | wine files/segcheck_validator.exe
if [ "$?" -ne "0" ]; then
    read
fi
cp $1 segcheck.in
echo "Running solution segcheck_ek.cpp"
wine solutions/segcheck_ek.exe
if [ "$?" -ne "0" ]; then
    echo "Solution returned non-zero exit code"
    read
fi
rm -f segcheck.in
if [ ! -f "segcheck.out" ]; then
    echo "Solution didn't produced output [segcheck.out]"
    read
fi
mv "segcheck.out" "$2"
echo "Running checker"
wine check.exe $1 $2 $2
if [ "$?" -ne "0" ]; then
    echo "Checker returned non-zero exit code"
    read
fi
