/**
 * Author: Sergey Kopeliovich (Burunduk30@gmail.com)
 */

#include <cmath>
#include <cctype>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <cassert>

#include <algorithm>
#include <vector>
#include <string>
#include <sstream>
#include <iostream>
#include <functional>
#include <map>
#include <set>

using namespace std;

#ifdef _WIN32
#  define I64 "%I64d"
#else
#  define I64 "%Ld"
#endif

#define forn(i, n) for (int i = 0; i < (int)(n); i++)
#define fornd(i, n) for (int i = (int)(n) - 1; i >= 0; i--)
#define forab(i, a, b) for (int i = (int)(a); i <= (int)(b); i++)
#define forabd(i, a, b) for (int i = (int)(b); i >= (int)(a); i--)
#define forit(i, a) for (__typeof((a).begin()) i = (a).begin(); i != (a).end(); i++)
#define sz(a) (int)(a).size()
#define all(a) (a).begin(), (a).end()
#define zero(a) memset(a, 0, sizeof(a))
#define pb push_back
#define mp make_pair

#define EOL(i, n) " \n"[i == (n) - 1]
#define LEN(a) (int)(sizeof(a) / sizeof(a[0]))

typedef long long ll;
typedef vector <int> vi;
typedef pair <int, int> pii;

template <class T> T inline sqr(T x) { return x * x; }

#define NAME "segcheck"

const int maxn = (int)1e5 + 10;

int n, l[maxn], r[maxn], ca[maxn], ja[maxn];

#define IS(i, j) (l[j] <= l[i] && r[i] <= r[j])

int main()
{
  freopen(NAME ".in", "r", stdin);
  freopen(NAME ".out", "w", stdout);

  scanf("%d", &n);
  forn(i, n)
    scanf("%d%d", &l[i], &r[i]);
  forn(i, n)
    scanf("%d", &ca[i]);
  forn(i, n)
    scanf("%d", &ja[i]);

  forn(i, n)
  {
    int wa = 0;
    if (!ca[i] != !ja[i])
      wa = 1;
    else if (ca[i])
    {
      ca[i]--;
      if (ca[i] == i || !IS(i, ca[i]))
        wa = 1;
      else
        forn(j, n)
          if (j != i && j != ca[i])
            if (IS(i, j) && IS(j, ca[i]))
              wa = 1, j = n;
    }
    puts(wa ? "WA" : "OK");
  }
  return 0;
}
