#include "testlib.h"
#include <set>

const int MAXN = 100000;
const int MAX = int(1e9);

typedef std::pair<int,int> pii;
std::set <pii> segments;

int main()
{
	registerValidation();

	int n = inf.readInt(1, MAXN);
	inf.readEoln();
	for (int i = 0; i < n; ++i)
	{
		int l = inf.readInt(-MAX, MAX);
		inf.readSpace();
		int r = inf.readInt(l + 1, MAX);
		inf.readEoln();

		if (segments.find(pii(l, r)) != segments.end())
			inf.quits(_fail, "Segments is not different");
		segments.insert(pii(l, r));
	}

	for (int i = 0; i < 2; ++i)
		for (int j = 0; j < n; ++j)
		{
			inf.readInt(0, n);
			if (j == n - 1)
				inf.readEoln();
			else
				inf.readSpace();
		}

	inf.readEof();

	return 0;
}